Batches API Reference

Batches

For authentication instructions, see API overview.

get

List all batches

Returns a list of batches. The batches are returned in sorted order, with the most recent appearing first.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/batches

Response

No response schema
post

Create batches

Create batches. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • batchCodestring
  • batchTypestring
  • managerstring
  • assigneestring
  • dueDatestring
  • repeatedboolean
  • summarystring
  • notesstring
  • leadIdsarray
  • opportunityIdsarray
  • ratinginteger

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/batches \
-d 'batchCode="string"' \
-d 'batchType="string"' \
-d 'manager="string"' \
-d 'assignee="string"' \
-d 'dueDate="string"' \
-d 'repeated="boolean"' \
-d 'summary="string"' \
-d 'notes="string"' \
-d 'leadIds="array"' \
-d 'opportunityIds="array"' \
-d 'rating="integer"'

Response

No response schema
get

Retrieve batches

Returns a single batche, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the batch

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/batches/:id

Response

No response schema
put

Update batches

Path parameters

  • idstring

    ID of the batch

Request body

  • batchCodestring
  • batchTypestring
  • managerstring
  • assigneestring
  • dueDatestring
  • repeatedboolean
  • summarystring
  • notesstring
  • leadIdsarray
  • opportunityIdsarray
  • ratinginteger

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/batches/:id \
-d 'batchCode="string"' \
-d 'batchType="string"' \
-d 'manager="string"' \
-d 'assignee="string"' \
-d 'dueDate="string"' \
-d 'repeated="boolean"' \
-d 'summary="string"' \
-d 'notes="string"' \
-d 'leadIds="array"' \
-d 'opportunityIds="array"' \
-d 'rating="integer"'

Response

No response schema
patch

Update batches soft

Update batches soft by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the batch

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/batches/:id

Response

No response schema
delete

Delete batches

Path parameters

  • idstring

    ID of the batch

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/batches/deleted/:id

Response

No response schema